/**
 * Copyright (c) OpenLens Maintainers. All rights reserved.
 * Licensed under MIT License. See LICENSE in root directory for more information.
 */
import "./table-cell.scss";
import React from "react";
import type { TableCellProps } from "@openlens/list-layout";
export type TableCellElem = React.ReactElement<TableCellProps>;
export declare class TableCell extends React.Component<TableCellProps> {
    constructor(props: TableCellProps);
    onClick(evt: React.MouseEvent<HTMLDivElement>): void;
    renderSortIcon(): React.JSX.Element | null;
    renderCheckbox(): React.JSX.Element | null;
    render(): React.JSX.Element;
}
